### Method

# Ide Object get_nth_child

#### Declaration

    IdeObject*
    ide_object_get_nth_child (
      IdeObject* self,
      guint nth
    )

#### Description

Gets the `nth` child of `self`.

A full reference to the child is returned.

Available since: | 3.32

#### Parameters

`nth` | `guint`
| Position of child to fetch.

#### Return value

Returns: | `IdeObject`
| An `IdeObject` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.